Zum Hauptinhalt springen

Decline a ProjectInvite

POST/v2/project-invites/{projectInviteId}/actions/decline
API-Version
v2
Request-Methode
POST
Operation-ID
project-decline-project-invite

Request​

  • projectInviteIdstring (uuid)required

    ID of the ProjectInvite to be declined.

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/project-invites/f0f86186-0a5a-45b2-aa33-502777496347/actions/decline
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.project.declineProjectInvite({
"projectInviteId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Project\DeclineProjectInvite\DeclineProjectInviteRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new DeclineProjectInviteRequest(
projectInviteId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->project()->declineProjectInvite($request);

var_dump($response->getBody();

Auf dieser Seite